const path = require('path');
module.exports = {
  lintOnSave: false,
  productionSourceMap: false,
  // css: {
  //   loaderOptions: {
  //     sass: {data: `@import './lib/app-common.scss';`}
  //   }
  // },
  //多页面配置
  pages: {
    index: {
      entry: 'examples/main.js',
      template: 'public/index.html',
      filename: 'index.html'
    }
  },
  transpileDependencies: [/node_modules[/\\]dvcp-dv-ui/, /node_modules[/\\]dvcp-ui(.+)utils.js/],
  chainWebpack: (config) => {
    //webpack配置 packages为组件源码根目录 增加packages进入编译
    // config.module
    // .rule('images')
    // .use('image-webpack-loader')
    // .loader('image-webpack-loader')
    // .options({bypassOnDebug: true})
    // .end();
    config.module
    .rule('js')
    .include.add(path.resolve(__dirname, 'packages'))
    .add(path.resolve(__dirname, 'subPackages'))
    .add(path.resolve(__dirname, 'core'))
    .add(path.resolve(__dirname, 'project'))
    .add(path.resolve(__dirname, 'oms'))
    .add(path.resolve(__dirname, 'node_modules/dvcp-dv-ui'))
    .add(path.resolve(__dirname, 'node_modules/dvcp-ui'))
    .end()
    .use('babel')
    .loader('babel-loader')
    .tap((options) => options);
    if (process.env.NODE_ENV == 'production') {
      //生产环境,打包压缩js
      config.plugin('uglifyjs-plugin').use('uglifyjs-webpack-plugin', [
        {
          include: /\/(packages|subPackages|core)/,
          uglifyOptions: {
            compress: {
              drop_debugger: true, // console
              drop_console: true,
              pure_funcs: ['console.log'] // 移除console
            },
            warnings: false
          },
          sourceMap: false,
          parallel: true
        }
      ]);
    }
  },
  devServer: {
    host: '0.0.0.0', //主机地址
    port: 8666, //端口号
    open: true,
    // devtool: 'cheap-module-eval-source-map',
    proxy: {
      //设置代理,可解决跨5
      '/lan': {
        // target: "https://gsgate.cunwuyun.cn/",
        target: 'http://192.168.1.87:9000/',
        // target: "http://192.168.1.113:9998/",
        // target: "http://192.168.1.245:9000/",
        // target: "http://192.168.1.34:19898/",
        changeOrigin: true,
        pathRewrite: {
          //地址重写
          '^/lan': '/'
        }
      },
      '/oms': {
        target: 'http://192.168.1.87:19898',
        changeOrigin: true,
        pathRewrite: {
          //地址重写
          '^/oms/app/': '/',
          '^/oms/auth/': '/',
          '^/oms/admin/': '/',
          '^/oms': '/'
        }
      }
    },
    disableHostCheck: true
  }
};

